MapBeanRepaintPolicy (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Interface MapBeanRepaintPolicy

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  HintsMapBeanRepaintPolicy, StandardMapBeanRepaintPolicy

    public interface MapBeanRepaintPolicy

extends java.lang.Cloneable

A MapBeanRepaintPolicy is a policy object that makes decisions on how a MapBean handles repaint requests from a layer. It can forward them on to the Swing thread by calling MapBean.repaint(), or ignore them until conditions that it considers valuable are met.

Method Summary
`java.lang.Object` | `clone()` Provide a configured copy (except for the MapBean).
`java.awt.Graphics` | `modifyGraphicsForPainting(java.awt.Graphics graphics)` A hook for the RepaintPolicy to make any adjustments to the java.awt.Graphics object before sending the Graphics object to the layers for painting.
`void` | `repaint(Layer layer)` Take some action based on a repaint request from this particular layer.
`void` | `setMap(MapBean mb)` Set the MapBean to call repaint on when a layer requests it.

Method Detail

### setMap

    void setMap(MapBean mb)

  Set the MapBean to call repaint on when a layer requests it.

### repaint

    void repaint(Layer layer)

  Take some action based on a repaint request from this particular layer.

### modifyGraphicsForPainting

    java.awt.Graphics modifyGraphicsForPainting(java.awt.Graphics graphics)

  A hook for the RepaintPolicy to make any adjustments to the java.awt.Graphics object before sending the Graphics object to the layers for painting. Gives the policy a chance to make rendering hint changes on Graphic2D objects, setting anti-aliasing configurations, etc.

### clone

    java.lang.Object clone()

  Provide a configured copy (except for the MapBean).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details